//START SNIPPET: sample-java

package org.javabuilders.swing.swingx.samples;

import javax.swing.JButton;
import javax.swing.JOptionPane;
import javax.swing.UIManager;

import org.javabuilders.BuildResult;
import org.javabuilders.swing.SwingJavaBuilder;
import org.javabuilders.swing.swingx.SwingXConfig;
import org.jdesktop.swingx.JXBusyLabel;
import org.jdesktop.swingx.JXFrame;

/**
 * Sample SwingX Samples
 * 
 * @author Jacek Furmankiewicz
 */
public final class SwingXFrame
    extends JXFrame
{
    
    private JXBusyLabel       nameLabel;
    private JButton           saveButton;
    private JButton           cancelButton;
    private final BuildResult result = SwingJavaBuilder.build(this);
    
    /**
     * Constructor.
     * 
     * @throws Exception
     */
    public SwingXFrame()
        throws Exception
    {
        //
    }
    
    /**
     * save.
     * 
     */
    private void save()
    {
        this.nameLabel.setBusy(true);
        JOptionPane.showMessageDialog(this, "Saved!");
        cancel();
    }
    
    /**
     * cancel.
     * 
     */
    private void cancel()
    {
        setVisible(false);
        dispose();
    }
    
    /**
     * MAIN
     * 
     * @param arguments
     */
    public static void main(String[] arguments)
    {
        javax.swing.SwingUtilities.invokeLater(new Runnable()
        {
            public void run()
            {
                try
                {
                    UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
                    SwingXConfig.register();
                    final SwingXFrame frame = new SwingXFrame();
                    frame.setVisible(true);
                    
                }
                catch (Exception ex)
                {
                    System.err.println(ex);
                }
                
            }
        });
    }
}
//END SNIPPET: sample-java
